Bug 141759 - FILEOPEN PPTX Changing table font name and size then background color reduces font size
Summary: FILEOPEN PPTX Changing table font name and size then background color reduces...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks: PPTX-Tables
  Show dependency treegraph
 
Reported: 2021-04-19 11:18 UTC by NISZ LibreOffice Team
Modified: 2022-09-13 07:37 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from PowerPoint (24.94 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-04-19 11:18 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in PowerPoint and Impress (60.26 KB, image/png)
2021-04-19 11:19 UTC, NISZ LibreOffice Team
Details
The original document in Impress after changing the font settings (39.28 KB, image/png)
2021-04-19 11:19 UTC, NISZ LibreOffice Team
Details
The original document in Impress after changing the background color too (43.86 KB, image/png)
2021-04-19 11:20 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-04-19 11:18:01 UTC
Created attachment 171282 [details]
Example file from PowerPoint

Attached simple PP-made presentation contains a table with Arial narrow, bold, 36 pt font set.
Selecting this table in Impress, changing font type and size, then setting a slide background somehow changes the font size to 18 pt.

The same strange behavior does not happen with an odp file.

Steps to reproduce:
    1. Open attached file
    2. Select the whole table
    3. Change the font with the Text Formatting toolbar, I used Linux Libertine G
    4. Change the font size, I used 40 pt
    5. Unselect the table, right click on the slide, select Slide Properties
    6. On the Background tab set a new color

Actual results:
The font size used by the characters (check in the Character properties) becomes 18 pt.
Selecting the whole table still displays 40 pt font on the Text Formatting toolbar, or in the Table Properties dialog.

Expected results:
The font size does not change.
The problem may stem from the different table / character font settings: in PP there is no way to set font size on the table level, only at the character level. 
Impress allows setting both character level and table level font properties.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: a809b2ab2553e946431699d9d7ac3f6209cbdd6b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL

Also happens in 7.0, 6.0, 5.0.

But not yet in
Version: 4.4.0.3
Build ID: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Locale: hu_HU

Additional Information: 

Bibisected using bibisect-win32-5.0 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=b14259b946686c753c0df42c519fc2537e871601

author	Caolán McNamara <caolanm@redhat.com>	2015-02-18 15:04:45 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2015-02-18 16:14:00 +0000

Resolves: rhbz#1193971 clear hard-coded char props in table cells...

Adding CC to: Caolán McNamara

Observation: before this commit changing the font and size on the Text Formatting toolbar was not applied to the existing text in the table, after this one they started to apply.
Comment 1 NISZ LibreOffice Team 2021-04-19 11:19:18 UTC
Created attachment 171283 [details]
Screenshot of the original document side by side in PowerPoint and Impress
Comment 2 NISZ LibreOffice Team 2021-04-19 11:19:36 UTC
Created attachment 171284 [details]
The original document in Impress after changing the font settings
Comment 3 NISZ LibreOffice Team 2021-04-19 11:20:00 UTC
Created attachment 171285 [details]
The original document in Impress after changing the background color too
Comment 4 Xisco Faulí 2021-04-22 09:47:57 UTC
Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 41145efffe9d5af358a52b9e114bb01b98b3d7c2
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 5 Caolán McNamara 2021-04-28 09:03:06 UTC
wrt the bisect, to make sure I understand, before the identified commit steps 2 and 3 didn't really do anything ?
Comment 6 Gabor Kelemen (allotropia) 2022-09-13 07:37:19 UTC
This seems to have been fixed in 7.2 by:

https://git.libreoffice.org/core/+/3ba86ee82a2d0c2d8cac3c7ee83e2c5f0a3c291e

author	merttumer <mert.tumer@collabora.com>	Thu Apr 15 11:21:01 2021 +0300
committer	Mert Tumer <mert.tumer@collabora.com>	Mon May 03 06:51:22 2021 +0200

Fix ESC key selects all the cells of the table object

Now the font size is not reset.

Thanks Mert for making this one go away :).